AC_DEFUN([AM_PATH_RADIUS_ENGINE],
[
  AC_REQUIRE([AC_PROG_CC])

  RADIUS_ENGINE_CFLAGS=''
  RADIUS_ENGINE_LIBS=''

  PKG_CHECK_MODULES([RADIUS_ENGINE], [radius-engine >= 1.1], [HAVE_RADIUS_ENGINE=yes])

  AC_LANG_PUSH([C])
  AC_LANG_POP()

  if test "$HAVE_RADIUS_ENGINE" = "yes"; then
     ifelse([$1], , :, [$1])     
  else
     RADIUS_ENGINE_CFLAGS=""
     RADIUS_ENGINE_LIBS=""
     ifelse([$2], , :, [$2])
  fi
  
  AC_SUBST(RADIUS_ENGINE_CFLAGS)
  AC_SUBST(RADIUS_ENGINE_LIBS)
])

